Package com.android.server.os

# Class LinphoneTombstoneProtos.Tombstone.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder<MessageType,BuilderType>
com.google.protobuf.GeneratedMessageLite.Builder<LinphoneTombstoneProtos.Tombstone,LinphoneTombstoneProtos.Tombstone.Builder>
com.android.server.os.LinphoneTombstoneProtos.Tombstone.Builder

All Implemented Interfaces:
  `LinphoneTombstoneProtos.TombstoneOrBuilder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `Cloneable`

Enclosing class:
  LinphoneTombstoneProtos.Tombstone

public static final class LinphoneTombstoneProtos.Tombstone.Builder extends com.google.protobuf.GeneratedMessageLite.Builder<LinphoneTombstoneProtos.Tombstone,LinphoneTombstoneProtos.Tombstone.Builder> implements LinphoneTombstoneProtos.TombstoneOrBuilder
Protobuf type `Tombstone`

## Field Summary

### Fields inherited from class com.google.protobuf.GeneratedMessageLite.Builder

`instance`

## Method Summary

Modifier and Type
Method
Description
`LinphoneTombstoneProtos.Tombstone.Builder`
`addAllCauses(Iterable<? extends LinphoneTombstoneProtos.Cause> values)`
`repeated .Cause causes = 15;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`addAllCommandLine(Iterable<String> values)`
`repeated string command_line = 9;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`addAllCrashDetails(Iterable<? extends LinphoneTombstoneProtos.CrashDetail> values)`
`repeated .CrashDetail crash_details = 21;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`addAllLogBuffers(Iterable<? extends LinphoneTombstoneProtos.LogBuffer> values)`
`repeated .LogBuffer log_buffers = 18;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`addAllMemoryMappings(Iterable<? extends LinphoneTombstoneProtos.MemoryMapping> values)`
`repeated .MemoryMapping memory_mappings = 17;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`addAllOpenFds(Iterable<? extends LinphoneTombstoneProtos.FD> values)`
`repeated .FD open_fds = 19;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`addCauses(int index, LinphoneTombstoneProtos.Cause value)`
`repeated .Cause causes = 15;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`addCauses(int index, LinphoneTombstoneProtos.Cause.Builder builderForValue)`
`repeated .Cause causes = 15;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`addCauses(LinphoneTombstoneProtos.Cause value)`
`repeated .Cause causes = 15;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`addCauses(LinphoneTombstoneProtos.Cause.Builder builderForValue)`
`repeated .Cause causes = 15;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`addCommandLine(String value)`
`repeated string command_line = 9;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`addCommandLineBytes(com.google.protobuf.ByteString value)`
`repeated string command_line = 9;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`addCrashDetails(int index, LinphoneTombstoneProtos.CrashDetail value)`
`repeated .CrashDetail crash_details = 21;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`addCrashDetails(int index, LinphoneTombstoneProtos.CrashDetail.Builder builderForValue)`
`repeated .CrashDetail crash_details = 21;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`addCrashDetails(LinphoneTombstoneProtos.CrashDetail value)`
`repeated .CrashDetail crash_details = 21;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`addCrashDetails(LinphoneTombstoneProtos.CrashDetail.Builder builderForValue)`
`repeated .CrashDetail crash_details = 21;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`addLogBuffers(int index, LinphoneTombstoneProtos.LogBuffer value)`
`repeated .LogBuffer log_buffers = 18;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`addLogBuffers(int index, LinphoneTombstoneProtos.LogBuffer.Builder builderForValue)`
`repeated .LogBuffer log_buffers = 18;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`addLogBuffers(LinphoneTombstoneProtos.LogBuffer value)`
`repeated .LogBuffer log_buffers = 18;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`addLogBuffers(LinphoneTombstoneProtos.LogBuffer.Builder builderForValue)`
`repeated .LogBuffer log_buffers = 18;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`addMemoryMappings(int index, LinphoneTombstoneProtos.MemoryMapping value)`
`repeated .MemoryMapping memory_mappings = 17;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`addMemoryMappings(int index, LinphoneTombstoneProtos.MemoryMapping.Builder builderForValue)`
`repeated .MemoryMapping memory_mappings = 17;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`addMemoryMappings(LinphoneTombstoneProtos.MemoryMapping value)`
`repeated .MemoryMapping memory_mappings = 17;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`addMemoryMappings(LinphoneTombstoneProtos.MemoryMapping.Builder builderForValue)`
`repeated .MemoryMapping memory_mappings = 17;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`addOpenFds(int index, LinphoneTombstoneProtos.FD value)`
`repeated .FD open_fds = 19;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`addOpenFds(int index, LinphoneTombstoneProtos.FD.Builder builderForValue)`
`repeated .FD open_fds = 19;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`addOpenFds(LinphoneTombstoneProtos.FD value)`
`repeated .FD open_fds = 19;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`addOpenFds(LinphoneTombstoneProtos.FD.Builder builderForValue)`
`repeated .FD open_fds = 19;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`clearAbortMessage()`
`string abort_message = 14;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`clearArch()`
`.Architecture arch = 1;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`clearBuildFingerprint()`
`string build_fingerprint = 2;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`clearCauses()`
`repeated .Cause causes = 15;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`clearCommandLine()`
`repeated string command_line = 9;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`clearCrashDetails()`
`repeated .CrashDetail crash_details = 21;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`clearLogBuffers()`
`repeated .LogBuffer log_buffers = 18;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`clearMemoryMappings()`
`repeated .MemoryMapping memory_mappings = 17;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`clearOpenFds()`
`repeated .FD open_fds = 19;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`clearPid()`
`uint32 pid = 5;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`clearProcessUptime()`
Process uptime in seconds.
`LinphoneTombstoneProtos.Tombstone.Builder`
`clearRevision()`
`string revision = 3;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`clearSelinuxLabel()`
`string selinux_label = 8;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`clearSignalInfo()`
`.Signal signal_info = 10;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`clearThreads()`
`LinphoneTombstoneProtos.Tombstone.Builder`
`clearTid()`
`uint32 tid = 6;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`clearTimestamp()`
`string timestamp = 4;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`clearUid()`
`uint32 uid = 7;`
`boolean`
`containsThreads(int key)`
`map<uint32, .Thread> threads = 16;`
`String`
`getAbortMessage()`
`string abort_message = 14;`
`com.google.protobuf.ByteString`
`getAbortMessageBytes()`
`string abort_message = 14;`
`LinphoneTombstoneProtos.Architecture`
`getArch()`
`.Architecture arch = 1;`
`int`
`getArchValue()`
`.Architecture arch = 1;`
`String`
`getBuildFingerprint()`
`string build_fingerprint = 2;`
`com.google.protobuf.ByteString`
`getBuildFingerprintBytes()`
`string build_fingerprint = 2;`
`LinphoneTombstoneProtos.Cause`
`getCauses(int index)`
`repeated .Cause causes = 15;`
`int`
`getCausesCount()`
`repeated .Cause causes = 15;`
`List<LinphoneTombstoneProtos.Cause>`
`getCausesList()`
`repeated .Cause causes = 15;`
`String`
`getCommandLine(int index)`
`repeated string command_line = 9;`
`com.google.protobuf.ByteString`
`getCommandLineBytes(int index)`
`repeated string command_line = 9;`
`int`
`getCommandLineCount()`
`repeated string command_line = 9;`
`List<String>`
`getCommandLineList()`
`repeated string command_line = 9;`
`LinphoneTombstoneProtos.CrashDetail`
`getCrashDetails(int index)`
`repeated .CrashDetail crash_details = 21;`
`int`
`getCrashDetailsCount()`
`repeated .CrashDetail crash_details = 21;`
`List<LinphoneTombstoneProtos.CrashDetail>`
`getCrashDetailsList()`
`repeated .CrashDetail crash_details = 21;`
`LinphoneTombstoneProtos.LogBuffer`
`getLogBuffers(int index)`
`repeated .LogBuffer log_buffers = 18;`
`int`
`getLogBuffersCount()`
`repeated .LogBuffer log_buffers = 18;`
`List<LinphoneTombstoneProtos.LogBuffer>`
`getLogBuffersList()`
`repeated .LogBuffer log_buffers = 18;`
`LinphoneTombstoneProtos.MemoryMapping`
`getMemoryMappings(int index)`
`repeated .MemoryMapping memory_mappings = 17;`
`int`
`getMemoryMappingsCount()`
`repeated .MemoryMapping memory_mappings = 17;`
`List<LinphoneTombstoneProtos.MemoryMapping>`
`getMemoryMappingsList()`
`repeated .MemoryMapping memory_mappings = 17;`
`LinphoneTombstoneProtos.FD`
`getOpenFds(int index)`
`repeated .FD open_fds = 19;`
`int`
`getOpenFdsCount()`
`repeated .FD open_fds = 19;`
`List<LinphoneTombstoneProtos.FD>`
`getOpenFdsList()`
`repeated .FD open_fds = 19;`
`int`
`getPid()`
`uint32 pid = 5;`
`int`
`getProcessUptime()`
Process uptime in seconds.
`String`
`getRevision()`
`string revision = 3;`
`com.google.protobuf.ByteString`
`getRevisionBytes()`
`string revision = 3;`
`String`
`getSelinuxLabel()`
`string selinux_label = 8;`
`com.google.protobuf.ByteString`
`getSelinuxLabelBytes()`
`string selinux_label = 8;`
`LinphoneTombstoneProtos.Signal`
`getSignalInfo()`
`.Signal signal_info = 10;`
`Map<Integer,LinphoneTombstoneProtos.Thread>`
`getThreads()`
Deprecated.
`int`
`getThreadsCount()`
`map<uint32, .Thread> threads = 16;`
`Map<Integer,LinphoneTombstoneProtos.Thread>`
`getThreadsMap()`
`map<uint32, .Thread> threads = 16;`
`LinphoneTombstoneProtos.Thread`
`getThreadsOrDefault(int key, LinphoneTombstoneProtos.Thread defaultValue)`
`map<uint32, .Thread> threads = 16;`
`LinphoneTombstoneProtos.Thread`
`getThreadsOrThrow(int key)`
`map<uint32, .Thread> threads = 16;`
`int`
`getTid()`
`uint32 tid = 6;`
`String`
`getTimestamp()`
`string timestamp = 4;`
`com.google.protobuf.ByteString`
`getTimestampBytes()`
`string timestamp = 4;`
`int`
`getUid()`
`uint32 uid = 7;`
`boolean`
`hasSignalInfo()`
`.Signal signal_info = 10;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`mergeSignalInfo(LinphoneTombstoneProtos.Signal value)`
`.Signal signal_info = 10;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`putAllThreads(Map<Integer,LinphoneTombstoneProtos.Thread> values)`
`map<uint32, .Thread> threads = 16;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`putThreads(int key, LinphoneTombstoneProtos.Thread value)`
`map<uint32, .Thread> threads = 16;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`removeCauses(int index)`
`repeated .Cause causes = 15;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`removeCrashDetails(int index)`
`repeated .CrashDetail crash_details = 21;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`removeLogBuffers(int index)`
`repeated .LogBuffer log_buffers = 18;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`removeMemoryMappings(int index)`
`repeated .MemoryMapping memory_mappings = 17;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`removeOpenFds(int index)`
`repeated .FD open_fds = 19;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`removeThreads(int key)`
`map<uint32, .Thread> threads = 16;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`setAbortMessage(String value)`
`string abort_message = 14;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`setAbortMessageBytes(com.google.protobuf.ByteString value)`
`string abort_message = 14;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`setArch(LinphoneTombstoneProtos.Architecture value)`
`.Architecture arch = 1;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`setArchValue(int value)`
`.Architecture arch = 1;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`setBuildFingerprint(String value)`
`string build_fingerprint = 2;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`setBuildFingerprintBytes(com.google.protobuf.ByteString value)`
`string build_fingerprint = 2;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`setCauses(int index, LinphoneTombstoneProtos.Cause value)`
`repeated .Cause causes = 15;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`setCauses(int index, LinphoneTombstoneProtos.Cause.Builder builderForValue)`
`repeated .Cause causes = 15;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`setCommandLine(int index, String value)`
`repeated string command_line = 9;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`setCrashDetails(int index, LinphoneTombstoneProtos.CrashDetail value)`
`repeated .CrashDetail crash_details = 21;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`setCrashDetails(int index, LinphoneTombstoneProtos.CrashDetail.Builder builderForValue)`
`repeated .CrashDetail crash_details = 21;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`setLogBuffers(int index, LinphoneTombstoneProtos.LogBuffer value)`
`repeated .LogBuffer log_buffers = 18;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`setLogBuffers(int index, LinphoneTombstoneProtos.LogBuffer.Builder builderForValue)`
`repeated .LogBuffer log_buffers = 18;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`setMemoryMappings(int index, LinphoneTombstoneProtos.MemoryMapping value)`
`repeated .MemoryMapping memory_mappings = 17;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`setMemoryMappings(int index, LinphoneTombstoneProtos.MemoryMapping.Builder builderForValue)`
`repeated .MemoryMapping memory_mappings = 17;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`setOpenFds(int index, LinphoneTombstoneProtos.FD value)`
`repeated .FD open_fds = 19;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`setOpenFds(int index, LinphoneTombstoneProtos.FD.Builder builderForValue)`
`repeated .FD open_fds = 19;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`setPid(int value)`
`uint32 pid = 5;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`setProcessUptime(int value)`
Process uptime in seconds.
`LinphoneTombstoneProtos.Tombstone.Builder`
`setRevision(String value)`
`string revision = 3;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`setRevisionBytes(com.google.protobuf.ByteString value)`
`string revision = 3;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`setSelinuxLabel(String value)`
`string selinux_label = 8;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`setSelinuxLabelBytes(com.google.protobuf.ByteString value)`
`string selinux_label = 8;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`setSignalInfo(LinphoneTombstoneProtos.Signal value)`
`.Signal signal_info = 10;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`setSignalInfo(LinphoneTombstoneProtos.Signal.Builder builderForValue)`
`.Signal signal_info = 10;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`setTid(int value)`
`uint32 tid = 6;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`setTimestamp(String value)`
`string timestamp = 4;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`setTimestampBytes(com.google.protobuf.ByteString value)`
`string timestamp = 4;`
`LinphoneTombstoneProtos.Tombstone.Builder`
`setUid(int value)`
`uint32 uid = 7;`

### Methods inherited from class com.google.protobuf.GeneratedMessageLite.Builder

`build, buildPartial, clear, clone, copyOnWrite, copyOnWriteInternal, getDefaultInstanceForType, internalMergeFrom, isInitialized, mergeFrom, mergeFrom, mergeFrom, mergeFrom`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`getDefaultInstanceForType, isInitialized`

## Method Details

### getArchValue

public int getArchValue()
`.Architecture arch = 1;`

Specified by:
  `getArchValue` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`
Returns:
  The enum numeric value on the wire for arch.

### setArchValue

public LinphoneTombstoneProtos.Tombstone.Builder setArchValue(int value)
`.Architecture arch = 1;`

Parameters:
  `value` - The arch to set.
Returns:
  This builder for chaining.

### getArch

public LinphoneTombstoneProtos.Architecture getArch()
`.Architecture arch = 1;`

Specified by:
  `getArch` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`
Returns:
  The arch.

### setArch

public LinphoneTombstoneProtos.Tombstone.Builder setArch(LinphoneTombstoneProtos.Architecture value)
`.Architecture arch = 1;`

Parameters:
  `value` - The enum numeric value on the wire for arch to set.
Returns:
  This builder for chaining.

### clearArch

public LinphoneTombstoneProtos.Tombstone.Builder clearArch()
`.Architecture arch = 1;`

Returns:
  This builder for chaining.

### getBuildFingerprint

public String getBuildFingerprint()
`string build_fingerprint = 2;`

Specified by:
  `getBuildFingerprint` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`
Returns:
  The buildFingerprint.

### getBuildFingerprintBytes

public com.google.protobuf.ByteString getBuildFingerprintBytes()
`string build_fingerprint = 2;`

Specified by:
  `getBuildFingerprintBytes` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`
Returns:
  The bytes for buildFingerprint.

### setBuildFingerprint

public LinphoneTombstoneProtos.Tombstone.Builder setBuildFingerprint(String value)
`string build_fingerprint = 2;`

Parameters:
  `value` - The buildFingerprint to set.
Returns:
  This builder for chaining.

### clearBuildFingerprint

public LinphoneTombstoneProtos.Tombstone.Builder clearBuildFingerprint()
`string build_fingerprint = 2;`

Returns:
  This builder for chaining.

### setBuildFingerprintBytes

public LinphoneTombstoneProtos.Tombstone.Builder setBuildFingerprintBytes(com.google.protobuf.ByteString value)
`string build_fingerprint = 2;`

Parameters:
  `value` - The bytes for buildFingerprint to set.
Returns:
  This builder for chaining.

### getRevision

public String getRevision()
`string revision = 3;`

Specified by:
  `getRevision` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`
Returns:
  The revision.

### getRevisionBytes

public com.google.protobuf.ByteString getRevisionBytes()
`string revision = 3;`

Specified by:
  `getRevisionBytes` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`
Returns:
  The bytes for revision.

### setRevision

public LinphoneTombstoneProtos.Tombstone.Builder setRevision(String value)
`string revision = 3;`

Parameters:
  `value` - The revision to set.
Returns:
  This builder for chaining.

### clearRevision

public LinphoneTombstoneProtos.Tombstone.Builder clearRevision()
`string revision = 3;`

Returns:
  This builder for chaining.

### setRevisionBytes

public LinphoneTombstoneProtos.Tombstone.Builder setRevisionBytes(com.google.protobuf.ByteString value)
`string revision = 3;`

Parameters:
  `value` - The bytes for revision to set.
Returns:
  This builder for chaining.

### getTimestamp

public String getTimestamp()
`string timestamp = 4;`

Specified by:
  `getTimestamp` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`
Returns:
  The timestamp.

### getTimestampBytes

public com.google.protobuf.ByteString getTimestampBytes()
`string timestamp = 4;`

Specified by:
  `getTimestampBytes` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`
Returns:
  The bytes for timestamp.

### setTimestamp

public LinphoneTombstoneProtos.Tombstone.Builder setTimestamp(String value)
`string timestamp = 4;`

Parameters:
  `value` - The timestamp to set.
Returns:
  This builder for chaining.

### clearTimestamp

public LinphoneTombstoneProtos.Tombstone.Builder clearTimestamp()
`string timestamp = 4;`

Returns:
  This builder for chaining.

### setTimestampBytes

public LinphoneTombstoneProtos.Tombstone.Builder setTimestampBytes(com.google.protobuf.ByteString value)
`string timestamp = 4;`

Parameters:
  `value` - The bytes for timestamp to set.
Returns:
  This builder for chaining.

### getPid

public int getPid()
`uint32 pid = 5;`

Specified by:
  `getPid` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`
Returns:
  The pid.

### setPid

public LinphoneTombstoneProtos.Tombstone.Builder setPid(int value)
`uint32 pid = 5;`

Parameters:
  `value` - The pid to set.
Returns:
  This builder for chaining.

### clearPid

public LinphoneTombstoneProtos.Tombstone.Builder clearPid()
`uint32 pid = 5;`

Returns:
  This builder for chaining.

### getTid

public int getTid()
`uint32 tid = 6;`

Specified by:
  `getTid` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`
Returns:
  The tid.

### setTid

public LinphoneTombstoneProtos.Tombstone.Builder setTid(int value)
`uint32 tid = 6;`

Parameters:
  `value` - The tid to set.
Returns:
  This builder for chaining.

### clearTid

public LinphoneTombstoneProtos.Tombstone.Builder clearTid()
`uint32 tid = 6;`

Returns:
  This builder for chaining.

### getUid

public int getUid()
`uint32 uid = 7;`

Specified by:
  `getUid` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`
Returns:
  The uid.

### setUid

public LinphoneTombstoneProtos.Tombstone.Builder setUid(int value)
`uint32 uid = 7;`

Parameters:
  `value` - The uid to set.
Returns:
  This builder for chaining.

### clearUid

public LinphoneTombstoneProtos.Tombstone.Builder clearUid()
`uint32 uid = 7;`

Returns:
  This builder for chaining.

### getSelinuxLabel

public String getSelinuxLabel()
`string selinux_label = 8;`

Specified by:
  `getSelinuxLabel` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`
Returns:
  The selinuxLabel.

### getSelinuxLabelBytes

public com.google.protobuf.ByteString getSelinuxLabelBytes()
`string selinux_label = 8;`

Specified by:
  `getSelinuxLabelBytes` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`
Returns:
  The bytes for selinuxLabel.

### setSelinuxLabel

public LinphoneTombstoneProtos.Tombstone.Builder setSelinuxLabel(String value)
`string selinux_label = 8;`

Parameters:
  `value` - The selinuxLabel to set.
Returns:
  This builder for chaining.

### clearSelinuxLabel

public LinphoneTombstoneProtos.Tombstone.Builder clearSelinuxLabel()
`string selinux_label = 8;`

Returns:
  This builder for chaining.

### setSelinuxLabelBytes

public LinphoneTombstoneProtos.Tombstone.Builder setSelinuxLabelBytes(com.google.protobuf.ByteString value)
`string selinux_label = 8;`

Parameters:
  `value` - The bytes for selinuxLabel to set.
Returns:
  This builder for chaining.

### getCommandLineList

public List<String> getCommandLineList()
`repeated string command_line = 9;`

Specified by:
  `getCommandLineList` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`
Returns:
  A list containing the commandLine.

### getCommandLineCount

public int getCommandLineCount()
`repeated string command_line = 9;`

Specified by:
  `getCommandLineCount` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`
Returns:
  The count of commandLine.

### getCommandLine

public String getCommandLine(int index)
`repeated string command_line = 9;`

Specified by:
  `getCommandLine` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The commandLine at the given index.

### getCommandLineBytes

public com.google.protobuf.ByteString getCommandLineBytes(int index)
`repeated string command_line = 9;`

Specified by:
  `getCommandLineBytes` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the commandLine at the given index.

### setCommandLine

public LinphoneTombstoneProtos.Tombstone.Builder setCommandLine(int index, String value)
`repeated string command_line = 9;`

Parameters:
  `index` - The index to set the value at.
  `value` - The commandLine to set.
Returns:
  This builder for chaining.

### addCommandLine

public LinphoneTombstoneProtos.Tombstone.Builder addCommandLine(String value)
`repeated string command_line = 9;`

Parameters:
  `value` - The commandLine to add.
Returns:
  This builder for chaining.

### addAllCommandLine

public LinphoneTombstoneProtos.Tombstone.Builder addAllCommandLine(Iterable<String> values)
`repeated string command_line = 9;`

Parameters:
  `values` - The commandLine to add.
Returns:
  This builder for chaining.

### clearCommandLine

public LinphoneTombstoneProtos.Tombstone.Builder clearCommandLine()
`repeated string command_line = 9;`

Returns:
  This builder for chaining.

### addCommandLineBytes

public LinphoneTombstoneProtos.Tombstone.Builder addCommandLineBytes(com.google.protobuf.ByteString value)
`repeated string command_line = 9;`

Parameters:
  `value` - The bytes of the commandLine to add.
Returns:
  This builder for chaining.

### getProcessUptime

public int getProcessUptime()

     Process uptime in seconds.

`uint32 process_uptime = 20;`

Specified by:
  `getProcessUptime` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`
Returns:
  The processUptime.

### setProcessUptime

public LinphoneTombstoneProtos.Tombstone.Builder setProcessUptime(int value)

     Process uptime in seconds.

`uint32 process_uptime = 20;`

Parameters:
  `value` - The processUptime to set.
Returns:
  This builder for chaining.

### clearProcessUptime

public LinphoneTombstoneProtos.Tombstone.Builder clearProcessUptime()

     Process uptime in seconds.

`uint32 process_uptime = 20;`

Returns:
  This builder for chaining.

### hasSignalInfo

public boolean hasSignalInfo()
`.Signal signal_info = 10;`

Specified by:
  `hasSignalInfo` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`
Returns:
  Whether the signalInfo field is set.

### getSignalInfo

public LinphoneTombstoneProtos.Signal getSignalInfo()
`.Signal signal_info = 10;`

Specified by:
  `getSignalInfo` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`
Returns:
  The signalInfo.

### setSignalInfo

public LinphoneTombstoneProtos.Tombstone.Builder setSignalInfo(LinphoneTombstoneProtos.Signal value)
`.Signal signal_info = 10;`

### setSignalInfo

public LinphoneTombstoneProtos.Tombstone.Builder setSignalInfo(LinphoneTombstoneProtos.Signal.Builder builderForValue)
`.Signal signal_info = 10;`

### mergeSignalInfo

public LinphoneTombstoneProtos.Tombstone.Builder mergeSignalInfo(LinphoneTombstoneProtos.Signal value)
`.Signal signal_info = 10;`

### clearSignalInfo

public LinphoneTombstoneProtos.Tombstone.Builder clearSignalInfo()
`.Signal signal_info = 10;`

### getAbortMessage

public String getAbortMessage()
`string abort_message = 14;`

Specified by:
  `getAbortMessage` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`
Returns:
  The abortMessage.

### getAbortMessageBytes

public com.google.protobuf.ByteString getAbortMessageBytes()
`string abort_message = 14;`

Specified by:
  `getAbortMessageBytes` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`
Returns:
  The bytes for abortMessage.

### setAbortMessage

public LinphoneTombstoneProtos.Tombstone.Builder setAbortMessage(String value)
`string abort_message = 14;`

Parameters:
  `value` - The abortMessage to set.
Returns:
  This builder for chaining.

### clearAbortMessage

public LinphoneTombstoneProtos.Tombstone.Builder clearAbortMessage()
`string abort_message = 14;`

Returns:
  This builder for chaining.

### setAbortMessageBytes

public LinphoneTombstoneProtos.Tombstone.Builder setAbortMessageBytes(com.google.protobuf.ByteString value)
`string abort_message = 14;`

Parameters:
  `value` - The bytes for abortMessage to set.
Returns:
  This builder for chaining.

### getCrashDetailsList

public List<LinphoneTombstoneProtos.CrashDetail> getCrashDetailsList()
`repeated .CrashDetail crash_details = 21;`

Specified by:
  `getCrashDetailsList` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`

### getCrashDetailsCount

public int getCrashDetailsCount()
`repeated .CrashDetail crash_details = 21;`

Specified by:
  `getCrashDetailsCount` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`

### getCrashDetails

public LinphoneTombstoneProtos.CrashDetail getCrashDetails(int index)
`repeated .CrashDetail crash_details = 21;`

Specified by:
  `getCrashDetails` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`

### setCrashDetails

public LinphoneTombstoneProtos.Tombstone.Builder setCrashDetails(int index, LinphoneTombstoneProtos.CrashDetail value)
`repeated .CrashDetail crash_details = 21;`

### setCrashDetails

public LinphoneTombstoneProtos.Tombstone.Builder setCrashDetails(int index, LinphoneTombstoneProtos.CrashDetail.Builder builderForValue)
`repeated .CrashDetail crash_details = 21;`

### addCrashDetails

public LinphoneTombstoneProtos.Tombstone.Builder addCrashDetails(LinphoneTombstoneProtos.CrashDetail value)
`repeated .CrashDetail crash_details = 21;`

### addCrashDetails

public LinphoneTombstoneProtos.Tombstone.Builder addCrashDetails(int index, LinphoneTombstoneProtos.CrashDetail value)
`repeated .CrashDetail crash_details = 21;`

### addCrashDetails

public LinphoneTombstoneProtos.Tombstone.Builder addCrashDetails(LinphoneTombstoneProtos.CrashDetail.Builder builderForValue)
`repeated .CrashDetail crash_details = 21;`

### addCrashDetails

public LinphoneTombstoneProtos.Tombstone.Builder addCrashDetails(int index, LinphoneTombstoneProtos.CrashDetail.Builder builderForValue)
`repeated .CrashDetail crash_details = 21;`

### addAllCrashDetails

public LinphoneTombstoneProtos.Tombstone.Builder addAllCrashDetails(Iterable<? extends LinphoneTombstoneProtos.CrashDetail> values)
`repeated .CrashDetail crash_details = 21;`

### clearCrashDetails

public LinphoneTombstoneProtos.Tombstone.Builder clearCrashDetails()
`repeated .CrashDetail crash_details = 21;`

### removeCrashDetails

public LinphoneTombstoneProtos.Tombstone.Builder removeCrashDetails(int index)
`repeated .CrashDetail crash_details = 21;`

### getCausesList

public List<LinphoneTombstoneProtos.Cause> getCausesList()
`repeated .Cause causes = 15;`

Specified by:
  `getCausesList` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`

### getCausesCount

public int getCausesCount()
`repeated .Cause causes = 15;`

Specified by:
  `getCausesCount` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`

### getCauses

public LinphoneTombstoneProtos.Cause getCauses(int index)
`repeated .Cause causes = 15;`

Specified by:
  `getCauses` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`

### setCauses

public LinphoneTombstoneProtos.Tombstone.Builder setCauses(int index, LinphoneTombstoneProtos.Cause value)
`repeated .Cause causes = 15;`

### setCauses

public LinphoneTombstoneProtos.Tombstone.Builder setCauses(int index, LinphoneTombstoneProtos.Cause.Builder builderForValue)
`repeated .Cause causes = 15;`

### addCauses

public LinphoneTombstoneProtos.Tombstone.Builder addCauses(LinphoneTombstoneProtos.Cause value)
`repeated .Cause causes = 15;`

### addCauses

public LinphoneTombstoneProtos.Tombstone.Builder addCauses(int index, LinphoneTombstoneProtos.Cause value)
`repeated .Cause causes = 15;`

### addCauses

public LinphoneTombstoneProtos.Tombstone.Builder addCauses(LinphoneTombstoneProtos.Cause.Builder builderForValue)
`repeated .Cause causes = 15;`

### addCauses

public LinphoneTombstoneProtos.Tombstone.Builder addCauses(int index, LinphoneTombstoneProtos.Cause.Builder builderForValue)
`repeated .Cause causes = 15;`

### addAllCauses

public LinphoneTombstoneProtos.Tombstone.Builder addAllCauses(Iterable<? extends LinphoneTombstoneProtos.Cause> values)
`repeated .Cause causes = 15;`

### clearCauses

public LinphoneTombstoneProtos.Tombstone.Builder clearCauses()
`repeated .Cause causes = 15;`

### removeCauses

public LinphoneTombstoneProtos.Tombstone.Builder removeCauses(int index)
`repeated .Cause causes = 15;`

### getThreadsCount

public int getThreadsCount()
Description copied from interface: `LinphoneTombstoneProtos.TombstoneOrBuilder`
`map<uint32, .Thread> threads = 16;`

Specified by:
  `getThreadsCount` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`

### containsThreads

public boolean containsThreads(int key)
`map<uint32, .Thread> threads = 16;`

Specified by:
  `containsThreads` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`

### clearThreads

public LinphoneTombstoneProtos.Tombstone.Builder clearThreads()

### removeThreads

public LinphoneTombstoneProtos.Tombstone.Builder removeThreads(int key)
`map<uint32, .Thread> threads = 16;`

### getThreads

@Deprecated public Map<Integer,LinphoneTombstoneProtos.Thread> getThreads()
Deprecated.
Use `getThreadsMap()` instead.

Specified by:
  `getThreads` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`

### getThreadsMap

public Map<Integer,LinphoneTombstoneProtos.Thread> getThreadsMap()
`map<uint32, .Thread> threads = 16;`

Specified by:
  `getThreadsMap` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`

### getThreadsOrDefault

public LinphoneTombstoneProtos.Thread getThreadsOrDefault(int key, LinphoneTombstoneProtos.Thread defaultValue)
`map<uint32, .Thread> threads = 16;`

Specified by:
  `getThreadsOrDefault` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`

### getThreadsOrThrow

public LinphoneTombstoneProtos.Thread getThreadsOrThrow(int key)
`map<uint32, .Thread> threads = 16;`

Specified by:
  `getThreadsOrThrow` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`

### putThreads

public LinphoneTombstoneProtos.Tombstone.Builder putThreads(int key, LinphoneTombstoneProtos.Thread value)
`map<uint32, .Thread> threads = 16;`

### putAllThreads

public LinphoneTombstoneProtos.Tombstone.Builder putAllThreads(Map<Integer,LinphoneTombstoneProtos.Thread> values)
`map<uint32, .Thread> threads = 16;`

### getMemoryMappingsList

public List<LinphoneTombstoneProtos.MemoryMapping> getMemoryMappingsList()
`repeated .MemoryMapping memory_mappings = 17;`

Specified by:
  `getMemoryMappingsList` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`

### getMemoryMappingsCount

public int getMemoryMappingsCount()
`repeated .MemoryMapping memory_mappings = 17;`

Specified by:
  `getMemoryMappingsCount` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`

### getMemoryMappings

public LinphoneTombstoneProtos.MemoryMapping getMemoryMappings(int index)
`repeated .MemoryMapping memory_mappings = 17;`

Specified by:
  `getMemoryMappings` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`

### setMemoryMappings

public LinphoneTombstoneProtos.Tombstone.Builder setMemoryMappings(int index, LinphoneTombstoneProtos.MemoryMapping value)
`repeated .MemoryMapping memory_mappings = 17;`

### setMemoryMappings

public LinphoneTombstoneProtos.Tombstone.Builder setMemoryMappings(int index, LinphoneTombstoneProtos.MemoryMapping.Builder builderForValue)
`repeated .MemoryMapping memory_mappings = 17;`

### addMemoryMappings

public LinphoneTombstoneProtos.Tombstone.Builder addMemoryMappings(LinphoneTombstoneProtos.MemoryMapping value)
`repeated .MemoryMapping memory_mappings = 17;`

### addMemoryMappings

public LinphoneTombstoneProtos.Tombstone.Builder addMemoryMappings(int index, LinphoneTombstoneProtos.MemoryMapping value)
`repeated .MemoryMapping memory_mappings = 17;`

### addMemoryMappings

public LinphoneTombstoneProtos.Tombstone.Builder addMemoryMappings(LinphoneTombstoneProtos.MemoryMapping.Builder builderForValue)
`repeated .MemoryMapping memory_mappings = 17;`

### addMemoryMappings

public LinphoneTombstoneProtos.Tombstone.Builder addMemoryMappings(int index, LinphoneTombstoneProtos.MemoryMapping.Builder builderForValue)
`repeated .MemoryMapping memory_mappings = 17;`

### addAllMemoryMappings

public LinphoneTombstoneProtos.Tombstone.Builder addAllMemoryMappings(Iterable<? extends LinphoneTombstoneProtos.MemoryMapping> values)
`repeated .MemoryMapping memory_mappings = 17;`

### clearMemoryMappings

public LinphoneTombstoneProtos.Tombstone.Builder clearMemoryMappings()
`repeated .MemoryMapping memory_mappings = 17;`

### removeMemoryMappings

public LinphoneTombstoneProtos.Tombstone.Builder removeMemoryMappings(int index)
`repeated .MemoryMapping memory_mappings = 17;`

### getLogBuffersList

public List<LinphoneTombstoneProtos.LogBuffer> getLogBuffersList()
`repeated .LogBuffer log_buffers = 18;`

Specified by:
  `getLogBuffersList` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`

### getLogBuffersCount

public int getLogBuffersCount()
`repeated .LogBuffer log_buffers = 18;`

Specified by:
  `getLogBuffersCount` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`

### getLogBuffers

public LinphoneTombstoneProtos.LogBuffer getLogBuffers(int index)
`repeated .LogBuffer log_buffers = 18;`

Specified by:
  `getLogBuffers` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`

### setLogBuffers

public LinphoneTombstoneProtos.Tombstone.Builder setLogBuffers(int index, LinphoneTombstoneProtos.LogBuffer value)
`repeated .LogBuffer log_buffers = 18;`

### setLogBuffers

public LinphoneTombstoneProtos.Tombstone.Builder setLogBuffers(int index, LinphoneTombstoneProtos.LogBuffer.Builder builderForValue)
`repeated .LogBuffer log_buffers = 18;`

### addLogBuffers

public LinphoneTombstoneProtos.Tombstone.Builder addLogBuffers(LinphoneTombstoneProtos.LogBuffer value)
`repeated .LogBuffer log_buffers = 18;`

### addLogBuffers

public LinphoneTombstoneProtos.Tombstone.Builder addLogBuffers(int index, LinphoneTombstoneProtos.LogBuffer value)
`repeated .LogBuffer log_buffers = 18;`

### addLogBuffers

public LinphoneTombstoneProtos.Tombstone.Builder addLogBuffers(LinphoneTombstoneProtos.LogBuffer.Builder builderForValue)
`repeated .LogBuffer log_buffers = 18;`

### addLogBuffers

public LinphoneTombstoneProtos.Tombstone.Builder addLogBuffers(int index, LinphoneTombstoneProtos.LogBuffer.Builder builderForValue)
`repeated .LogBuffer log_buffers = 18;`

### addAllLogBuffers

public LinphoneTombstoneProtos.Tombstone.Builder addAllLogBuffers(Iterable<? extends LinphoneTombstoneProtos.LogBuffer> values)
`repeated .LogBuffer log_buffers = 18;`

### clearLogBuffers

public LinphoneTombstoneProtos.Tombstone.Builder clearLogBuffers()
`repeated .LogBuffer log_buffers = 18;`

### removeLogBuffers

public LinphoneTombstoneProtos.Tombstone.Builder removeLogBuffers(int index)
`repeated .LogBuffer log_buffers = 18;`

### getOpenFdsList

public List<LinphoneTombstoneProtos.FD> getOpenFdsList()
`repeated .FD open_fds = 19;`

Specified by:
  `getOpenFdsList` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`

### getOpenFdsCount

public int getOpenFdsCount()
`repeated .FD open_fds = 19;`

Specified by:
  `getOpenFdsCount` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`

### getOpenFds

public LinphoneTombstoneProtos.FD getOpenFds(int index)
`repeated .FD open_fds = 19;`

Specified by:
  `getOpenFds` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`

### setOpenFds

public LinphoneTombstoneProtos.Tombstone.Builder setOpenFds(int index, LinphoneTombstoneProtos.FD value)
`repeated .FD open_fds = 19;`

### setOpenFds

public LinphoneTombstoneProtos.Tombstone.Builder setOpenFds(int index, LinphoneTombstoneProtos.FD.Builder builderForValue)
`repeated .FD open_fds = 19;`

### addOpenFds

public LinphoneTombstoneProtos.Tombstone.Builder addOpenFds(LinphoneTombstoneProtos.FD value)
`repeated .FD open_fds = 19;`

### addOpenFds

public LinphoneTombstoneProtos.Tombstone.Builder addOpenFds(int index, LinphoneTombstoneProtos.FD value)
`repeated .FD open_fds = 19;`

### addOpenFds

public LinphoneTombstoneProtos.Tombstone.Builder addOpenFds(LinphoneTombstoneProtos.FD.Builder builderForValue)
`repeated .FD open_fds = 19;`

### addOpenFds

public LinphoneTombstoneProtos.Tombstone.Builder addOpenFds(int index, LinphoneTombstoneProtos.FD.Builder builderForValue)
`repeated .FD open_fds = 19;`

### addAllOpenFds

public LinphoneTombstoneProtos.Tombstone.Builder addAllOpenFds(Iterable<? extends LinphoneTombstoneProtos.FD> values)
`repeated .FD open_fds = 19;`

### clearOpenFds

public LinphoneTombstoneProtos.Tombstone.Builder clearOpenFds()
`repeated .FD open_fds = 19;`

### removeOpenFds

public LinphoneTombstoneProtos.Tombstone.Builder removeOpenFds(int index)
`repeated .FD open_fds = 19;`